package com.landray.kmss.sys.attachment.thirdSfs.interceptor;

import java.io.IOException;
import com.landray.kmss.sys.cluster.remoting.util.RemotingHelper;
import com.landray.kmss.util.MD5Util;
import org.bouncycastle.util.encoders.Hex;
import com.landray.kmss.sys.profile.password.interfaces.sm.PasswordConfusionSM3;
import com.landray.kmss.sys.attachment.util.SysAttachmentUtil;
import org.springframework.http.client.ClientHttpResponse;
import org.springframework.http.client.ClientHttpRequestExecution;
import org.springframework.http.HttpRequest;
import org.springframework.http.client.ClientHttpRequestInterceptor;

public class SysAttThirdSfsHttpRequestInterceptor implements ClientHttpRequestInterceptor
{
    public ClientHttpResponse intercept(final HttpRequest request, final byte[] body, final ClientHttpRequestExecution execution) throws IOException {
        final String v = "$245" + SysAttachmentUtil.getLincenseId() + "^brp";
        final String lics = MD5Util.getMD5String(Hex.toHexString(new PasswordConfusionSM3().encrypt(v).getBytes("UTF-8")));
        request.getHeaders().add("addr", RemotingHelper.getLocalAddress());
        request.getHeaders().add("ReqTime", String.valueOf(System.currentTimeMillis()));
        request.getHeaders().add("lics", lics);
        this.interceptWrap(request, body, execution);
        return execution.execute(request, body);
    }
    
    public void interceptWrap(final HttpRequest request, final byte[] body, final ClientHttpRequestExecution execution) throws IOException {
    }
}
